#ifndef PIDUMPER_H
#define PIDUMPER_H

#include "ui_pidumper.h"
#include <QImage>
#include <QTime>
#include <QDesktopWidget>
#include <qmath.h>
#include <QDebug>
#include "piqt.h"
#include "piconnection.h"

class PIDumper: public QMainWindow, private Ui::PIDumper
{
	Q_OBJECT
public:
	PIDumper(QWidget * parent = 0);

protected:
	void changeEvent(QEvent * e);
	
	void buildDump();
	void buildDumpSection(QTreeWidgetItem * pi, PIString & str);
	
	PIString dump;
	
private slots:
	void on_buttonDumpMake_clicked();
	void on_buttonDumpClipboard_clicked();
	void on_checkDumpHideService_toggled(bool on);
	
public slots:
	
};

#endif // PIDUMPER_H
